# coded by papiersam/r_sami

#'''
#barebones quick time event for Renpy coded by r_sami
#images/sound taken from online
#'''

image airplane animated:
    "images/gif/frame_01.png"
    pause 0.04
    "images/gif/frame_02.png"
    pause 0.04
    "images/gif/frame_03.png"
    pause 0.04
    "images/gif/frame_04.png"
    pause 0.04
    "images/gif/frame_05.png"
    pause 0.04
    "images/gif/frame_06.png"
    pause 0.04
    "images/gif/frame_07.png"
    pause 0.04
    "images/gif/frame_08.png"
    pause 0.04
    "images/gif/frame_09.png"
    pause 0.04
    "images/gif/frame_10.png"
    pause 0.04
    "images/gif/frame_11.png"
    pause 0.04
    "images/gif/frame_12.png"
    pause 0.04
    "images/gif/frame_13.png"
    pause 0.04
    "images/gif/frame_14.png"
    pause 0.04
    "images/gif/frame_15.png"
    pause 0.04
    "images/gif/frame_16.png"
    pause 0.04
    "images/gif/frame_17.png"
    pause 0.04
    "images/gif/frame_18.png"
    pause 0.04
    "images/gif/frame_19.png"
    pause 0.04
    "images/gif/frame_20.png"
    pause 0.04
    "images/gif/frame_21.png"
    pause 0.04
    "images/gif/frame_22.png"
    pause 0.04
    "images/gif/frame_23.png"
    pause 0.04
    repeat

transform fullsize:
        size (1920,1080)
        on show:
            yalign 0.5 xalign 0.5

#images/transforms, etc

label start:

    scene airplane animated at fullsize

    $ cont = 0 #continue variable
    $ arr_keys = ["a", "c", "e", "K_UP", "K_SPACE"] #list of keyboard inputs to be selected from. See https://www.pygame.org/docs/ref/key.html for more keys

    call qte_setup(0.5, 0.5, 0.01, renpy.random.choice(arr_keys), renpy.random.randint(1, 9) * 0.1, renpy.random.randint(1, 9) * 0.1)
    # "Function Call" - see label qte_setup for detail on "function"
    # in the above, I randomly select a key from a previously defined set of keys (arr_keys), and randomise the location

    while cont == 1:
        call qte_setup(0.5, 0.5, 0.01, renpy.random.choice(arr_keys), renpy.random.randint(1, 9) * 0.1, renpy.random.randint(1, 9) * 0.1)
        # to repeat the qte events until it is missed

    play sound "sounds/miss.mp3"
    "{b}GAME OVER{/b}"
    # basic game over sound + message

    return

#########################################
#########################################
#'''
#"Function"/pseudo-function
#calls the qte screen
#parameters are:
#    - amount of time given
#    - total amount of time (is usually the same as above)
#    - timer decreasing interval
#    - the key/keyboard input to hit in the quick time event
#    - the x alignment of the bar/box
#    - the y alignment of the bar/box
#'''

label qte_setup(time_start, time_max, interval, trigger_key, x_align, y_align):

    $ time_start = time_start
    $ time_max = time_max
    $ interval = interval
    $ trigger_key = trigger_key
    $ x_align = x_align
    $ y_align = y_align

    call screen qte_button
    # can change to "call screen qte_button" to switch to button mode

    $ cont = _return
    # 1 if key was hit in time, 0 if key not

    return
